import greenfoot.*;

public class Leader extends Unit
{
    public Leader()
    {
        // only one leader allowed
        if (Unit.leader != null && Unit.leader.getWorld() != null)
            Unit.leader.getWorld().removeObject(Unit.leader);
        Unit.leader = this;
    }
    
    public void act()
    {
        // turning
        int dr = 0;
        if (Greenfoot.isKeyDown("left")) dr -= (1000-speed)/10;
        if (Greenfoot.isKeyDown("right")) dr += (1000-speed)/10;
        if (dr != 0)
        {
            turn(dr);
            if (dr < 0) setImage("fighterL.png"); else setImage("fighterR.png");
        } else setImage("fighter.png");
        // moving
        if (Greenfoot.isKeyDown("up") && speed < 600) speed++;
        if (Greenfoot.isKeyDown("down") && speed > 0) speed--;
        move(speed);
        // world scrolling
        ((Space)getWorld()).scroller.scroll(getX()-300, getY()-300);
    }
}