import greenfoot.*;

public class Space extends World
{
    public Scroll scroller;

    public Space()
    {
        super(600, 600, 1, false);
        Greenfoot.setSpeed(55);
        Wingman.count = 0;
        // the background image (black space)
        GreenfootImage bg = new GreenfootImage(1, 1);
        bg.fill();
        setBackground(bg);
        // the scroller object
        scroller = new Scroll(this);
        // the stars
        for (int i=0; i<100; i++)
        {
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject(new Star(), x, y);
        }
        // the fighters
        addObject(new Leader(), 300, 300);
        addObject(new Wingman(), 220, 260);
        addObject(new Wingman(), 220, 340);
        addObject(new Wingman(), 140, 220);
        // addObject(new Wingman(), 140, 380);
    }
}