import greenfoot.*;

public class Star extends QActor
{
    public Star()
    {
        setBoundedAction(QActor.WRAP, 0); // set wrapping at edges
        setProximity(99-Greenfoot.getRandomNumber(80)); // vary 'depth'
        // the image
        int size = (getProximity()-10)/30+Greenfoot.getRandomNumber(3)+1;
        GreenfootImage image = new GreenfootImage(size, size);
        image.setColor(Color.WHITE);
        image.fillOval(0, 0, size-1, size-1);
        image.setTransparency(255*getProximity()*(Greenfoot.getRandomNumber(21)+80)/10000);
        setImage(image);
    }
}